For the complete documentation index, see llms.txt. This page is also available as Markdown.

Accounting report file for stores

Get an accounting report for a store UID and a time period. Depending on the header you set, the response is either a json containing a base 64 encoded pdf or a direct download. The file is base64 encoded. You can set choose among the supported file types, default is PDF.

Required permissions: REPORTING

post
/tenants/{tenantUid}/reports/accounting/download
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
fromDatestring · date · min: 10Required
toDatestring · date · min: 10Required
organizationUidstringRequiredPattern: ^[A-Za-z0-9-_]*
storeUidsstring[]Optional

List of storeUids to include in report.

reportFormatstring · enumOptional

Supported report formats

Possible values:
Responses
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

contentstringRequired

base64 encoded

contentTypestringRequired

mime type

filenamestringRequired
post/tenants/{tenantUid}/reports/accounting/download
POST /v2/tenants/{tenantUid}/reports/accounting/download HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 114

{
  "fromDate": "2026-01-01",
  "toDate": "2026-01-01",
  "organizationUid": "text",
  "storeUids": [
    "text"
  ],
  "reportFormat": "PDF"
}
200

Based on the Accept header the response will be base64 json encoded or a raw file. application/octet-stream will return a binary file application/json will return a json with the file content base64 encoded.

{
  "content": "text",
  "contentType": "text",
  "filename": "text"
}

Last updated

Was this helpful?